Name:		xscope
Version:	1.4.5
Release:	%mkrel 2
Summary:	X Window Protocol Viewer
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtrans)
BuildRequires:	pkgconfig(xorg-macros) >= 1.8

%description
Xscope sits in-between an X11 client and an X11 server and prints the contents
of each request, reply, error, or event that is communicated between them.
Xscope can decode the core X11 protocol and several extensions, including
BIG-REQUESTS, LBX, MIT-SHM, NCD-WinCenterPro, RANDR, and RENDER. This
information can be useful in debugging and performance tuning of X11 servers
and clients.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xscope
%{_mandir}/man1/xscope.1*


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 1.4.5-2.mga10
+ Revision: 2247390
- Mageia 10 Mass Rebuild

* Tue Mar 11 2025 daviddavid <daviddavid> 1.4.5-1.mga10
+ Revision: 2162700
- new version: 1.4.5

* Tue Oct 31 2023 daviddavid <daviddavid> 1.4.4-1.mga10
+ Revision: 2003007
- initial package xscope

